Bug 697076 - Gnome 3 goes to fallback mode when external monitor is connected
Summary: Gnome 3 goes to fallback mode when external monitor is connected
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell   
(Show other bugs)
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 699793
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-15 18:33 UTC by George Iosif
Modified: 2012-08-07 17:38 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 17:38:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description George Iosif 2011-04-15 18:33:59 UTC
Description of problem:
I have a laptop that works with the GNOME 3's new "standard experience" when using the integrated display.
While I'm logged in, if I connect an external display, it works with that just fine (with the same "standard experience").
Now, if I reboot the laptop and log in while the external monitor is connected, GNOME will start in "fallback mode".
Removing the external monitor and rebooting the laptop, brings back the "standard experience".

Version-Release number of selected component (if applicable):
gnome-shell-3.0.0.2-2.fc15.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Log in to the GNOME 3 desktop environment using only one display.
2. Connect a 2nd display and observe that the environment is the same (i.e. using the new features & behavior).
3. With the 2nd display connected, reboot the PC and log in to GNOME again.
  
Actual results:
GNOME goes into fallback mode.

Expected results:
GNOME maintains the "standard experience".

Additional info:

Comment 1 Mikhail Kryshen 2011-05-26 15:48:00 UTC
I have the same problem with gnome-shell-3.0.1 on Lenovo S10 netbook with 945GME graphics. Gnome is configured to disable the netbook display when external monitor is connected.

Comment 2 jonathan_imperial 2011-05-26 21:10:19 UTC
I have noticed while testing on my Lenovo T410 that when using the DisplayPort for an external monitor, gnome 3 boots up properly in the standard experience.  However, when the VGA is plugged in, GNOME boots into fallback mode.

Comment 3 Jan Gehring 2011-06-18 12:39:40 UTC
Same problem here on a LG X110 Netbook with a Intel 945GM/GMS/GME, 943/940GML Express.

gnome-shell version:

gnome-shell-3.0.2-1.fc15.i686

Comment 4 Tom Fonteyne 2011-06-19 14:25:00 UTC
same issue here, hardware involved:
- Lenovo W510
- Dell 30"
- displayport connection

Gnome detects the monitor ok (SystemSettings/Displays) but:
- gnome fallback mode
- nothing displayed on the external screen

System software is up to date as of 19-June-2011

Comment 5 Pavel Šefránek 2011-07-09 11:40:05 UTC
I can confirm this on Fedora 15, all updates installed (today's state 9.7.2011)

Comment 6 Pavel Šefránek 2011-07-09 11:41:38 UTC
I can confirm this on Fedora 15, all updates installed (today's state 9.7.2011).

My configuration is Lenovo Thinkpad T60, graphic card Intel 945GM.

Comment 7 E. Lewis 2011-09-17 00:02:12 UTC
I confirm the same observations.
Dell D820 laptop, 4 GiB RAM, Fedora 15 with all updates installed. Intel integrated graphics.

Comment 8 Some Name 2011-10-02 13:41:31 UTC
Same here, updated Fedora 15 (Gnome 3.0.2) on my laptop (Asus 1005Ha Eee) with an external HP 1740 monitor. Fedora allways switches to fallback-mode if the display is connected at bootup, no matter which display-configuration I choose. It's funny that I can plug in the monitor after I logged in without problems...

Comment 9 Some Name 2011-10-13 16:22:56 UTC
A (dirty) fix for this bug is btw. to add the command "gnome-shell --replace" to the startup-programs (you can run "gnome-session-properties" to add this).

Comment 10 Pavel Šefránek 2011-10-18 19:12:50 UTC
Just tried to reproduce this inside openSUSE 12.1 and Fedora 16 and here are results: Gnome 3.2 on Fedora goes to fallback mode on both screens (even though only one screen is active (no mirroring)). But openSUSE with GNOME 3.2 works great (on both screens (even with screen mirroring)).

Comment 11 Pavel Šefránek 2011-10-18 20:29:21 UTC
However, with that dirty fix from comment 9, everything works okay.

Comment 12 Pavel Šefránek 2011-11-08 10:12:01 UTC
Tested with the brand new Fedora 16 Final release and the issue still occurs. Anyway dirty fix still works.

Comment 13 Matthew Labarge 2011-11-22 16:07:51 UTC
The "dirty fix" does not solve the issue for me. When using it, it simply kills the shell and leaves me with nothing and unable to use anything. When in fall back mode(defaulted to or chosen in system settings), the top bar on Gnome 3 takes up real estate equivalent of 3 bars. As if it were stretched out. 


Setup:
Dell Latitude 6520
Nvida Quadro NVS 4200M(Have tried akmods and binaries from nvidia)
Docked using two external monitors with the lid closed
Fedora 16
gnome-shell.x86_64  3.2.1-2.fc16

Comment 14 Fedora End Of Life 2012-08-07 17:38:13 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.